Subject: RE: [Mip6] EAP in MIP

From: Narayanan Vidya-CVN065 <[email-masked]>
Date: Thu, 3 Mar 2005 16:52:57 -0600

Yes, that is essentially what I am saying. If you don't want to do IKEv2 between the MN and HA and want to use something like the AUTH option, it seems like you can still use EAP to set up the SA. 

Vidya

-----Original Message-----
From: Vijay Devarapalli [mailto:[email-masked]] 
Sent: Thursday, March 03, 2005 4:01 PM
To: Narayanan Vidya-CVN065
Cc: [email-masked]
Subject: Re: [Mip6] EAP in MIP

just to make sure I understand. are you proposing carrying
EAP messages in new mobility header messages?

currently, you can run IKEv2 between the MN and the HA and
use EAP.

Vijay

Narayanan Vidya-CVN065 wrote:
> All,
> I was wondering if any thought has been given to transporting EAP 
> within
> Mobile IP to use EAP-based methods to establish the MN-HA SA. There are 
> some drafts on using PANA for MIP6 bootstrapping, which are interesting. 
> Also, the draft on multi-hop EAP (draft-ohba-multihop-eap-00) that 
> attempts at having multiple IP hops between the PaC and the PAA. This is 
> certainly very useful for a variety of applications.
>  
> What is really required for MIP to use EAP for dynamically creating 
> the
> MN-HA SA is that the HA serve as the EAP authenticator. Of course, the
> other option is where you derive an AMSK in EAP for MIP - but, this only 
> works if the network access uses EAP-based authentication.
>  
> Just like IKEv2 supports the transport of EAP within the protocol, 
> what
> are the downsides for MIP supporting it? This will only be done at 
> bootstrapping time - so, the number of roundtrips taken to complete the 
> SA creation is not a big issue (and it will really depend on the EAP 
> method chosen anyway).
>  
> Thanks,
> Vidya
> 
> 
> ----------------------------------------------------------------------
> --
> 
> _______________________________________________
> Mip6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mip6

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6